Package pygccxml :: Package parser :: Module etree_scanner :: Class ietree_scanner_t

# ClassType ietree_scanner_t

source code

    xml.sax.handler.ContentHandler --+
                                     |
                     scanner.scanner_t --+
                                         |
                                        ietree_scanner_t

Instance Methods

__init__(self, gccxml_file, decl_factory, *args) | source code

read(self) | source code

Inherited from `scanner.scanner_t`: `access`, `calldefs`, `declarations`, `endDocument`, `endElement`, `endElementNS`, `enums`, `files`, `members`, `startElement`, `startElementNS`, `types` Inherited from `xml.sax.handler.ContentHandler`: `characters`, `endPrefixMapping`, `ignorableWhitespace`, `processingInstruction`, `setDocumentLocator`, `skippedEntity`, `startDocument`, `startPrefixMapping`

Method Details

### __init__(self, gccxml_file, decl_factory, *args)
(Constructor)

source code

Overrides: xml.sax.handler.ContentHandler.__init__

### read(self)

source code

Overrides: scanner.scanner_t.read